import discord

"""Has a single class: Werewolf_player"""

# local import
from .player import Player


class Werewolf_player(Player):
	"""This class is for simulating non-role-specific werewolf players"""

	def set_role(self, role):
		self.day_role = self.night_role = role

	def reset(self):
		self.tally = 0
		self.won = self.dead = False

	def swap(self, player_B):
		self.day_role, player_B.day_role = player_B.day_role, self.day_role

	async def get_double_choice(self, question, options):
		await self.ask_choice(question, options)
		return await self.receive_choice(options, 2)

	async def cast_vote(self, question, options):
		self.vote = options[await self.get_choice(question, options)]

	async def ready_to_vote(self):
		def check(msg):
			return msg.channel == self.dm and msg.author == self.member and msg.content.casefold() == "vote"
		await self.game.bot.wait_for('message', check=check)
		await self.send_confirmation("You are ready to vote")


# TODO: this seems hacky, find another approach
class No_player(Werewolf_player):
	def name(self):
		return "no one"
